POST
创建持卡人
使用此接口在开卡前创建持卡人。
请求
ApiKeyOnerway 分配的发卡 API key 请求 Header。
示例:
replace_with_issuing_api_keymerchantNoOnerway 分配的商户号。
示例:
88888clientRequestId幂等请求 ID。
示例:
REQ_CH_20260101_001firstName持卡人名。
lastName持卡人姓。
email持卡人邮箱。
约束
- 规则
- 必须是合法邮箱地址。
mobile持卡人手机号。
示例:
13800138000mobileAreaCode手机国际区号。
示例:
+86birthDay出生日期。
示例:
1990-01-01nationality国籍,使用 ISO 3166-1 alpha-2 两位代码。
示例:
CNaddressRegionCode地址国家或地区代码。
addressStateCode州 / 省代码。
addressCityCode城市代码。
addressDetailLine1地址行 1。
addressDetailLine2地址行 2。
addressPostalCode邮编。
remark备注。
示例:
example remarkcurl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/cardholder/createCardholder' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"addressCityCode": "SZ",
"addressDetailLine1": "Example address line 1",
"addressPostalCode": "518000",
"addressRegionCode": "CN",
"addressStateCode": "GD",
"birthDay": "1990-01-01",
"clientRequestId": "REQ_CH_20260101_001",
"email": "example_cardholder@example.com",
"firstName": "Alex",
"lastName": "Chen",
"merchantNo": 88888,
"mobile": "13800138000",
"mobileAreaCode": "+86",
"nationality": "CN"
}'响应
respCode业务响应码;
20000 表示成功。respMsg响应信息。
data{ cardholderId, firstName, ... }持卡人信息。
{
"respCode": "20000",
"respMsg": "success",
"data": {
"cardholderId": 300001,
"firstName": "Alex",
"lastName": "Chen",
"email": "example_cardholder@example.com",
"mobile": "13800138000",
"mobileAreaCode": "+86",
"birthDay": "1990-01-01",
"nationality": "CN",
"addressRegionCode": "CN",
"addressStateCode": "GD",
"addressCityCode": "SZ",
"addressDetailLine1": "Example address line 1",
"addressDetailLine2": null,
"addressPostalCode": "518000",
"remark": null
}
}该接口暂未记录错误响应。